Bug 70789 - ppp ifup script error when trying to dialup, wvdial still works
ppp ifup script error when trying to dialup, wvdial still works
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ppp (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Jay Turner
:
Depends On:
Blocks: 67218 79579 CambridgeTarget
  Show dependency treegraph
 
Reported: 2002-08-05 06:37 EDT by Need Real Name
Modified: 2015-01-07 18:58 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-30 19:08:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-08-05 06:37:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020712

Description of problem:
/sbin/ifup hangs when I try to connect (either through the commandline or
through redhat-config-network, and /var/log/messages reads:
Aug  5 20:04:25 hive pppd[4314]: pppd 2.4.1 started by root, uid 0
Aug  5 20:04:25 hive ifup-ppp: pppd started for ppp0 on /dev/ttyS1 at 38400
Aug  5 20:04:25 hive pppd[4314]: Connect script failed
Aug  5 20:04:26 hive pppd[4314]: Exit.

ifup doesn't return (exit), but keeps trying, and the above message keeps
repeating until I ^C

wvdial still works fine.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Configure modem and dial-up account
2./sbin/ifup ppp0
	

Actual Results:  as above - /var/log/messages reads "connect script failed" but
ifup keeps trying to connect

Expected Results:  connection to internet, ifup exits.

Additional info:
Comment 1 Nalin Dahyabhai 2002-08-12 22:20:01 EDT
Whoops, handling of --remotename on the command line fell up when we updated to
1.53.  Fixed in 1.53-5 and later.
Comment 2 Bill Nottingham 2003-07-30 19:08:29 EDT
Closing out some bugs that have been in MODIFIED state. Please reopen if they
persist.

Note You need to log in before you can comment on or make changes to this bug.